<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::IEventSubscriber Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1IEventSubscriber-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::IEventSubscriber Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Event_8hpp_source.html">Event.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::IEventSubscriber:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1IEventSubscriber.png" usemap="#gg::IEventSubscriber_map" alt=""/>
  <map id="gg::IEventSubscriber_map" name="gg::IEventSubscriber_map">
<area href="classgg_1_1Application.html" alt="gg::Application" shape="rect" coords="0,56,133,80"/>
<area href="classgg_1_1Button.html" alt="gg::Button" shape="rect" coords="143,56,276,80"/>
<area href="classgg_1_1GameState.html" alt="gg::GameState" shape="rect" coords="286,56,419,80"/>
<area href="classgg_1_1Scene.html" alt="gg::Scene" shape="rect" coords="429,56,562,80"/>
<area href="classgg_1_1Tile.html" alt="gg::Tile" shape="rect" coords="572,56,705,80"/>
<area href="classgg_1_1ToggleButton.html" alt="gg::ToggleButton" shape="rect" coords="143,112,276,136"/>
<area href="classgg_1_1ControlsMenu.html" alt="gg::ControlsMenu" shape="rect" coords="429,112,562,136"/>
<area href="classgg_1_1CustomGameState.html" alt="gg::CustomGameState" shape="rect" coords="429,168,562,192"/>
<area href="classgg_1_1Gameplay.html" alt="gg::Gameplay" shape="rect" coords="429,224,562,248"/>
<area href="classgg_1_1LoadGame.html" alt="gg::LoadGame" shape="rect" coords="429,280,562,304"/>
<area href="classgg_1_1MainMenu.html" alt="gg::MainMenu" shape="rect" coords="429,336,562,360"/>
<area href="classgg_1_1NewGame.html" alt="gg::NewGame" shape="rect" coords="429,392,562,416"/>
<area href="classgg_1_1PauseMenu.html" alt="gg::PauseMenu" shape="rect" coords="429,448,562,472"/>
<area href="classgg_1_1Settings.html" alt="gg::Settings" shape="rect" coords="429,504,562,528"/>
<area href="classgg_1_1BuildingTile.html" alt="gg::BuildingTile" shape="rect" coords="715,112,848,136"/>
<area href="classgg_1_1RoadTile.html" alt="gg::RoadTile" shape="rect" coords="715,168,848,192"/>
<area href="classgg_1_1TerrainTile.html" alt="gg::TerrainTile" shape="rect" coords="715,224,848,248"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a08d412b35e08386f265840cd3652c8fc" name="a08d412b35e08386f265840cd3652c8fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08d412b35e08386f265840cd3652c8fc">&#9670;&nbsp;</a></span>IEventSubscriber()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::IEventSubscriber::IEventSubscriber </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a574e684bfb29123ae250769873231cd8" name="a574e684bfb29123ae250769873231cd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a574e684bfb29123ae250769873231cd8">&#9670;&nbsp;</a></span>~IEventSubscriber()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual gg::IEventSubscriber::~IEventSubscriber </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a87ad672a9db8b804deca81b7c4e6723f" name="a87ad672a9db8b804deca81b7c4e6723f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87ad672a9db8b804deca81b7c4e6723f">&#9670;&nbsp;</a></span>DecrementNumberOfSubscribedEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::IEventSubscriber::DecrementNumberOfSubscribedEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a961a23b00ee141313a4c8f7a505f3cb8" name="a961a23b00ee141313a4c8f7a505f3cb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a961a23b00ee141313a4c8f7a505f3cb8">&#9670;&nbsp;</a></span>GetNumberOfSubscribedEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::IEventSubscriber::GetNumberOfSubscribedEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  size_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad78398900f7d14a9594e243e115e7ad0" name="ad78398900f7d14a9594e243e115e7ad0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad78398900f7d14a9594e243e115e7ad0">&#9670;&nbsp;</a></span>IncrementNumberOfSubscribedEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::IEventSubscriber::IncrementNumberOfSubscribedEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a08c9dd34d285004445b619fe55a064f6" name="a08c9dd34d285004445b619fe55a064f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08c9dd34d285004445b619fe55a064f6">&#9670;&nbsp;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void gg::IEventSubscriber::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="classgg_1_1ControlsMenu.html#ad36e4792007bfc77007e7d6f3808e4ad">gg::ControlsMenu</a>, <a class="el" href="classgg_1_1CustomGameState.html#a81185173b30b4ba2ede5c8a95730331e">gg::CustomGameState</a>, <a class="el" href="classgg_1_1Gameplay.html#a62f7697ab2b80b8663985217d02f4631">gg::Gameplay</a>, <a class="el" href="classgg_1_1LoadGame.html#a1223fa3504565129721ad355c1c67f69">gg::LoadGame</a>, <a class="el" href="classgg_1_1MainMenu.html#a5c90f2a767f027433261db500da54c07">gg::MainMenu</a>, <a class="el" href="classgg_1_1NewGame.html#a70c85ece1b65ff5d09aa162ef1d7f50c">gg::NewGame</a>, <a class="el" href="classgg_1_1PauseMenu.html#aa42145d8fed4d72aeb6906153ab28445">gg::PauseMenu</a>, <a class="el" href="classgg_1_1Settings.html#af6254a263eca83ba52e9a0d3022f659a">gg::Settings</a>, <a class="el" href="classgg_1_1Button.html#a6cbe63267be0351408f2647887881345">gg::Button</a>, <a class="el" href="classgg_1_1Scene.html#abc9bfaf0685c16aaa2a8cc4973ad61b4">gg::Scene</a>, and <a class="el" href="classgg_1_1Tile.html#a10ad4cf3efcbf28f9619728645dbf177">gg::Tile</a>.</p>

</div>
</div>
<a id="ac8aebcb4316a65f73f794a924e5619ee" name="ac8aebcb4316a65f73f794a924e5619ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8aebcb4316a65f73f794a924e5619ee">&#9670;&nbsp;</a></span>operator==()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::IEventSubscriber::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44c244803f071939ab0822ec856903db" name="a44c244803f071939ab0822ec856903db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44c244803f071939ab0822ec856903db">&#9670;&nbsp;</a></span>ResetNumberOfSubscribedEvents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::IEventSubscriber::ResetNumberOfSubscribedEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/core/<a class="el" href="Event_8hpp_source.html">Event.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
